

using System.Xml.Serialization;
using NewRock.Sdk.Control.Request.Base;
using NewRock.Sdk.Events.Base;

namespace NewRock.Sdk.Events
{
    [XmlRoot("Event")]
    public class QueueEvent:NewRockEvent
    {
        [XmlElement("ext")]
        public Ext Ext { get; set; }

        [XmlElement("visitor")]
        public BaseVisitor Visitor { get; set; }

        [XmlElement("waiting")]
        public QueueWaiting Waiting { get; set; }
    }


    public class QueueWaiting
    {
        [XmlAttribute("group")]
        public string Group { get; set; }

        [XmlAttribute("count")]
        public string Count { get; set; }

        [XmlAttribute("reason")]
        public string Reason { get; set; }
    }
}
